Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class ServiceTypeInfo

    java.lang.Object
      org.hyperic.hq.product.TypeInfo
          org.hyperic.hq.product.ServiceTypeInfo

All Implemented Interfaces:
  Cloneable

    public class ServiceTypeInfo

extends TypeInfo
implements Cloneable

Field Summary

Fields inherited from class org.hyperic.hq.product.TypeInfo
`TYPE_PLATFORM, TYPE_SERVER, TYPE_SERVICE`

Constructor Summary
`ServiceTypeInfo()`
`ServiceTypeInfo(String name, String description, ServerTypeInfo server)`

Method Summary
`Object` | `clone()`
`boolean` | `getInternal()`
`String` | `getServerName()`
`ServerTypeInfo` | `getServerTypeInfo()`
`String` | `getServerVersion()`
`int` | `getType()`
`void` | `setInternal(boolean flag)`
`void` | `setServerTypeInfo(ServerTypeInfo server)`
`String` | `toString()`

Methods inherited from class org.hyperic.hq.product.TypeInfo
`equals, formatName, getDescription, getFormattedName, getName, getPlatformTypes, getVersion, isServer, isServer, isService, isService, isUnixPlatform, isVersion, isWin32Platform, setDescription, setName`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceTypeInfo

    public ServiceTypeInfo()

### ServiceTypeInfo

    public ServiceTypeInfo(String name,
                           String description,
                           ServerTypeInfo server)

Method Detail

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### getInternal

    public boolean getInternal()

### setInternal

    public void setInternal(boolean flag)

### getType

    public int getType()

  Specified by:
    `getType` in class `TypeInfo`

### getServerName

    public String getServerName()

### getServerVersion

    public String getServerVersion()

### setServerTypeInfo

    public void setServerTypeInfo(ServerTypeInfo server)

### getServerTypeInfo

    public ServerTypeInfo getServerTypeInfo()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.